GET api/pcapi/pc/{id}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters

None.

Response Information

Resource Description

PCViewModel
NameDescriptionTypeAdditional information
active

boolean

Required

cleanroom_id

globally unique identifier

None.

db_login

string

String length: inclusive between 0 and 50

db_name

string

String length: inclusive between 0 and 50

db_password

string

String length: inclusive between 0 and 50

db_source

string

String length: inclusive between 0 and 50

id

globally unique identifier

None.

local_ip

string

String length: inclusive between 0 and 15

lock_id

globally unique identifier

None.

mac_address

string

Required

String length: inclusive between 0 and 30

name

string

String length: inclusive between 0 and 100

pc_type_id

globally unique identifier

None.

rights

Collection of ShortRightViewModel

None.

site_id

globally unique identifier

None.

zone_id

globally unique identifier

None.

Response Formats

application/json, text/json

Sample:
{
  "active": true,
  "cleanroom_id": "e8878335-61c0-433f-a4a9-a0923eff1ebc",
  "db_login": "sample string 2",
  "db_name": "sample string 3",
  "db_password": "sample string 4",
  "db_source": "sample string 5",
  "id": "2974a106-c2df-4b60-bffa-8fa61234789d",
  "local_ip": "sample string 7",
  "lock_id": "a360f357-07c3-4f23-8218-853f9cebd819",
  "mac_address": "sample string 8",
  "name": "sample string 9",
  "pc_type_id": "ea76b991-c4ad-4e30-9f91-97a22a7aedaf",
  "rights": [
    {
      "code": "sample string 1",
      "id": "ab8d7639-1d91-49ee-ace7-e1be26af1364"
    },
    {
      "code": "sample string 1",
      "id": "ab8d7639-1d91-49ee-ace7-e1be26af1364"
    }
  ],
  "site_id": "edefcd56-37eb-45f9-91c8-83aa57ab955b",
  "zone_id": "f364dc6b-0a43-483b-9636-e9197d2abf63"
}

application/xml, text/xml

Sample:
<pc xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <cleanroom_id>e8878335-61c0-433f-a4a9-a0923eff1ebc</cleanroom_id>
  <db_login>sample string 2</db_login>
  <db_name>sample string 3</db_name>
  <db_password>sample string 4</db_password>
  <db_source>sample string 5</db_source>
  <id>2974a106-c2df-4b60-bffa-8fa61234789d</id>
  <local_ip>sample string 7</local_ip>
  <lock_id>a360f357-07c3-4f23-8218-853f9cebd819</lock_id>
  <mac_address>sample string 8</mac_address>
  <name>sample string 9</name>
  <pc_type_id>ea76b991-c4ad-4e30-9f91-97a22a7aedaf</pc_type_id>
  <rights>
    <right>
      <ID>ab8d7639-1d91-49ee-ace7-e1be26af1364</ID>
      <code>sample string 1</code>
    </right>
    <right>
      <ID>ab8d7639-1d91-49ee-ace7-e1be26af1364</ID>
      <code>sample string 1</code>
    </right>
  </rights>
  <site_id>edefcd56-37eb-45f9-91c8-83aa57ab955b</site_id>
  <zone_id>f364dc6b-0a43-483b-9636-e9197d2abf63</zone_id>
</pc>